<script setup lang="ts">
import { useFoodStore } from "../../stores/foods";
import { onMounted, ref } from "vue";
import { useDessertStore } from "../../stores/desserts";
import { mdiMagnify, mdiPencil, mdiDelete, mdiPlus } from "@mdi/js";
import ConfirmDialog from "@/components/Dialog/ConfirmDialog.vue";
const food = useFoodStore();
const dessert = useDessertStore();
const backendURL = import.meta.env.VITE_BACKEND_URL;
const confirmDlg = ref();
onMounted(async () => {
  await food.getFoods();
});

const deleteEmp = async (id: number, name: string) => {
  try {
    await confirmDlg.value.openDialog(
      "Please Confirm",
      `คุณต้องการลบ " ${name} " หรือไม่`
    );
    food.deleteProduct(id);
  } catch (e) {
    /* empty */
  }
};
</script>

<template>
  <v-row>
    <v-col>
      <v-text-field
        label="Search"
        placeholder="product"
        variant="underlined"
      ></v-text-field>
    </v-col>
    <v-col>
      <v-btn
        style="float: left"
        color="black"
        variant="outlined"
        :prepend-icon="mdiMagnify"
        >Search</v-btn
      >
      <v-btn
        style="margin-left: 11em"
        color="blue-darken-1"
        :prepend-icon="mdiPlus"
        @click="food.dialog = true"
        >Add</v-btn
      >
    </v-col>
  </v-row>
  <v-toolbar color="#DED4F7">
    <v-row class="justify-center">
      <div class="text-h4">Product</div>
    </v-row>
  </v-toolbar>
  <v-table>
    <thead>
      <tr>
        <th>ID</th>
        <th>Image</th>
        <th>Name</th>
        <th>Price</th>
        <th>Type</th>
        <th></th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="item of food.foods" :key="item.id">
        <td>{{ item.id }}</td>
        <td>
          <v-img
            :src="`${backendURL}/products/${item.id}/image`"
            height="120px"
          ></v-img>
        </td>
        <td>{{ item.name }}</td>
        <td>{{ item.price }}</td>
        <td>
          {{
            item.categoryId == 1
              ? "Food"
              : item.categoryId == 2
              ? "Dessert"
              : item.categoryId == 3
              ? "Drink"
              : ""
          }}
        </td>
        <td>
          <v-btn
            :icon="mdiPencil"
            color="secondary"
            class="ma-1"
            @click="food.editProduct(item)"
          ></v-btn>
        </td>
        <td>
          <v-btn
            :icon="mdiDelete"
            color="error"
            class="ma-1"
            @click="deleteEmp(item.id!, item.name!)"
          ></v-btn>
        </td>
      </tr>
      <!-- <tr v-for="item of dessert.desserts" :key="item.id">
        <td>{{ item.id }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.price }}</td>
        <td>{{ item.type }}</td>
        <td>
          <v-btn
            style="float: right; margin-right: 10px"
            color="black"
            variant="outlined"
            :prepend-icon="mdiPencil"
            >แก้ไข</v-btn
          >
        </td>
        <td>
          <v-btn
            style="float: right; margin-right: 10px"
            color="black"
            variant="outlined"
            :prepend-icon="mdiDelete"
            >ลบ</v-btn
          >
        </td>
      </tr> -->
    </tbody>
  </v-table>
  <ConfirmDialog ref="confirmDlg"></ConfirmDialog>
</template>

<style scoped></style>
